<?php
namespace Geral\Repositories;

class Tipooperac extends \Doctrine\ORM\EntityRepository
{

    public function consParFisc($tipoOperacao, $entrada_saida, $organizacao)
    {
        $sql = <<<SQL
        SELECT NVL(IDCONSPARFIS, 'S') IDCONSPARFIS, IDCONTSOMENIMPO
          FROM TIPOOPERAC
         WHERE CDTIPOOPER   = :P_CDTIPOOPER
           AND IDENTRSAIDOP = :P_IDENTRSAID
           AND NRORG        = :P_NRORG
SQL;

        $params = array(
            'P_CDTIPOOPER' => $tipoOperacao,
            'P_IDENTRSAID' => $entrada_saida,
            'P_NRORG'      => $organizacao
        );

        return self::getEntityManager()->getConnection()->fetchAssoc($sql, $params);
    }

    public function findByNrorgAndCodigoAndIdOperacao($nrorg, $cdTipoOperacao, $idEntradaSaidaOperacao)
    {
        return \Geral\Entities\Tipooperac::getObject(
            array(
                "nrorg"        => $nrorg,
                "cdtipooper"   => $cdTipoOperacao,
                "identrsaidop" => $idEntradaSaidaOperacao,
            )
        );
    }

    public function consultaTipoFaturamento($filial, $nrorg)
    {

        $sql = "SELECT DECODE( NUM, 0, 'T', 'N') TODOS,CDTIPOFATUR
				FROM PARAMFILIAL PF,
				    (SELECT NVL(MAX(T.CDTIPOOPER),0) NUM
				     FROM TIPOOPERAC T, PARAMFILIAL P
				     WHERE (P.CDFILIAL = :P_CDFILIAL)    AND
				           (:P_IDSISTEMA IN ('FAI_', 'TSV_')) AND
				           (INSTR('_'||DSTIPOOPEFAT||'_',CDTIPOFATUR) >0 ) AND (T.IDENTRSAIDOP = 'S'))
				WHERE (PF.CDFILIAL = :P_CDFILIAL)
        		AND PF.NRORG = :P_NRORG";

        $params = array(
            'P_CDFILIAL'  => $filial,
            'P_NRORG'     => $nrorg,
            'P_IDSISTEMA' => 'DFS'
        );

        return self::getEntityManager()->getConnection()->fetchArray($sql, $params);
    }
}