CREATE TABLE CAPACIDADEPRODCOZ (
  TEMPOTOTAL DOUBLE PRECISION DEFAULT NULL NULL, 
  IDEXCEDETEMPO VARCHAR2(1) DEFAULT 'N' NOT NULL, 
  DTINCLUSAO DATE DEFAULT NULL NULL, 
  NRORGINCLUSAO NUMBER(10) DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL, 
  QTEQUIP NUMBER(10) DEFAULT NULL NULL, 
  CDCENTRAL VARCHAR2(4) NOT NULL, 
  NREQUIPAMCOZ NUMBER(10) DEFAULT NULL NULL, 
  NRCAPACIDADEPRODCOZ NUMBER(10) NOT NULL, 
  DTPRODUCAO DATE NOT NULL, 
  CDPRODUTO VARCHAR2(10) NOT NULL, 
  DTULTATU DATE DEFAULT NULL NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  NRORGULTATU NUMBER(10) DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL, 
  NRORG NUMBER(10) DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
)
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT CKC_IDEXCEDETEMPO CHECK (IDEXCEDETEMPO IN ('S', 'N'))
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT CKC_IDATIVO_CAPACIDADEPRODCOZ CHECK (IDATIVO IN ('S', 'N'))
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT PK_CAPACIDADEPRODCOZ PRIMARY KEY (NRCAPACIDADEPRODCOZ)
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT FKPLA01003FILIAL FOREIGN KEY (CDCENTRAL) REFERENCES FILIAL (CDFILIAL)
/
CREATE INDEX FKPLA01003FILIAL ON CAPACIDADEPRODCOZ (CDCENTRAL)
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT FKPLA01004PRODUTO FOREIGN KEY (CDPRODUTO) REFERENCES PRODUTO (CDPRODUTO)
/
CREATE INDEX FKPLA01004PRODUTO ON CAPACIDADEPRODCOZ (CDPRODUTO)
/
ALTER TABLE CAPACIDADEPRODCOZ ADD CONSTRAINT FKPLA01005EQUIPAMCOZ FOREIGN KEY (NREQUIPAMCOZ) REFERENCES EQUIPAMCOZ (NREQUIPAMCOZ)
/
CREATE INDEX FKPLA01005EQUIPAMCOZ ON CAPACIDADEPRODCOZ (NREQUIPAMCOZ)